﻿using System;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.WebForms;

namespace _9064
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Set the Map Unit. The reason for setting it to DecimalDegrees is that is what the shapefile’s unit of measure is inherently in.
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                LayerOverlay layerOverlay = new LayerOverlay();

                EarthquakeHeatFeatureLayer heatLayer = new EarthquakeHeatFeatureLayer(imIcingLayer.FeatureSource);
                heatLayer.FeatureSource.Projection = _proj;
                HeatStyle hs = new HeatStyle(10, 200, "IP_Max", 0.3, 0.8, 200, DistanceUnit.Kilometer);
                hs = SetIcingHeatStyleColorPalete(hs);// applying colors
                heatLayer.HeatStyle = hs;
                heatLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                Map1.CustomOverlays.Add(layerOverlay);

                shapeFileLayer.Open();
                Map1.CurrentExtent = shapeFileLayer.GetBoundingBox();
            }
        }
    }
}